<bugID>1378560<Summary>The order of items in the url bar should be (from right-to-left) bookmarks, page action menu</Summary><Description>The bookmark star should be the right-most item and the page action menu should be to its left. New items (such as Pocket) get placed left of the bookmark star. 

See the mockup and prototypes linked below:

https://mozilla.invisionapp.com/share/PYC5LJJXG#/screens/229940647_Toolbars

https://people-mozilla.org/~shorlander/projects/photon/Mockups/windows-10.html</Description></bugID>